Luma3DS - Noob-proof 3DS Custom Firmware

Discussion in '3DS - Flashcards & Custom Firmwares' started by Minox, Jun 11, 2017.

  1. srwgin

    srwgin GBAtemp Advanced Fan

    Member
    503
    131
    Aug 13, 2013
    Switzerland


  2. pixelmasher

    pixelmasher Gaming Gamer

    Member
    1,538
    604
    Dec 12, 2016
    United States
    Near N3DS
    Most likely. If the code hasn't changed, you can add a custom font that has Japanese characters to it. It should be a TTF file named font.ttf. Larger the file, the slower it'll be.
    You might have to experiment with the folder.
     
  3. srwgin

    srwgin GBAtemp Advanced Fan

    Member
    503
    131
    Aug 13, 2013
    Switzerland
    I download a japanese font
    then put it in 3ds/data/JKSM
    change name to font.ttf
    but not work
     
  4. pixelmasher

    pixelmasher Gaming Gamer

    Member
    1,538
    604
    Dec 12, 2016
    United States
    Near N3DS
    Have you tried the original JKSV folder? That's why I said you might have to experiment with folder.
     
  5. JimmyZ

    JimmyZ GBAtemp Fan

    Member
    445
    240
    Apr 2, 2009
    Switzerland
    I have problem with some SNES VC titles, new3DSLL(JP) with region emulation setup, USA EN US 01, using the tuxsh's build from https://github.com/AuroraWright/Luma3DS/issues/541, region emulation works with Majora's Mask US cartridge.

    doesn't work
    000400000f701000 KTR-N-UABE The Legend of Zelda™: A Link to the Past
    000400000f701200 KTR-N-UACE Super Metroid™
    000400000f702c00 KTR-N-UAQE Contra III The Alien Wars

    raise an exception upon launch:
    Processor: ARM11 (core 1)
    Exception type: prefetch abort (svcBreak)
    Current process: loader (0000000000000000)

    works
    000400000f700f00 KTR-N-UABJ ゼルダの伝説 神々のトライフォース
    000400000f701100 KTR-N-UACJ スーパーメトロイド
    000400000f702b00 KTR-N-UAQJ 魂斗羅スピリッツ
    000400000f700e00 KTR-N-UAAE Super Mario World™

    Does anyone have the same issue? not sure if I should fire a issue on github.
    update: fired https://github.com/AuroraWright/Luma3DS/issues/622
     
    Last edited by JimmyZ, Jun 16, 2017
  6. aos10

    aos10 look at me,shitposting about GW,i am so cool

    Member
    2,723
    608
    Apr 10, 2012
    Saudi Arabia
    'Section III - Launching FBI

    Launch the Download Play application

    Press (L) + (Down) + (Select) at the same time to open the Rosalina menu"

    hi,i am trying to do this step,but the Rosalina menu doesn't appears,i put the last release and the legacy version too.
    i opened Download Play and pressed the buttons but nothing happened.
     
  7. driverdis

    driverdis I am Justice

    Member
    2,273
    837
    Sep 21, 2011
    United States
    1.048596β
    it should work as long as you are on Luma 8.0 (B9S 1.2) and not the legacy editions as those lack Rosalina features.
     
  8. noctis90210

    noctis90210 GBAtemp Advanced Fan

    Member
    694
    99
    Dec 24, 2013
    just want to ask whats the difference between the regular JKSM?
    it says on the github that this is a 3dsx file...
    but the regular JKSM also have the .3dsx file...
    so whats the difference?

    thanks and have anice day...
     
  9. srwgin

    srwgin GBAtemp Advanced Fan

    Member
    503
    131
    Aug 13, 2013
    Switzerland
    regular JKSM .3dsx can not use in luma8.0+new hbl
     
  10. Redferne

    Redferne GBAtemp Advanced Fan

    Member
    531
    156
    Oct 28, 2015
    Did you try with just USA EN or EUR EN?
     
  11. JimmyZ

    JimmyZ GBAtemp Fan

    Member
    445
    240
    Apr 2, 2009
    Switzerland
    They used that format in #541, and that same locale.txt works with Majora's Mask.

    I'll try anyway, will report later.
    update: no it still doesn't work, same exception.
     
    Last edited by JimmyZ, Jun 16, 2017
  12. GizmoTheGreen

    GizmoTheGreen GBAtemp Fan

    Member
    359
    98
    Oct 8, 2009
    I don't think SNES VC actually needs language emulation since what determines the language is the SNES ROM inside the VC, no?
     
  13. JimmyZ

    JimmyZ GBAtemp Fan

    Member
    445
    240
    Apr 2, 2009
    Switzerland
    Yes and no, yes the ROM inside decides the language anyway, but no some SNES VCs need region/language emulation, see #245

    But it looks like it's broken recently
     
    Last edited by JimmyZ, Jun 16, 2017
  14. Redferne

    Redferne GBAtemp Advanced Fan

    Member
    531
    156
    Oct 28, 2015
    If you are on the latest release (8.0) try a hourly. There is some issues with locale.txt in the release.
     
  15. JimmyZ

    JimmyZ GBAtemp Fan

    Member
    445
    240
    Apr 2, 2009
    Switzerland
    I'm not using the release, like I said in the first post.

    There are issues with recent nightly from astro as stated in #560 so I haven't tried them yet.

    Anyway I'll try build one from git.
     
  16. Soulsilve2010

    Soulsilve2010 GBAtemp Regular

    Member
    250
    49
    Sep 3, 2016
    United States
    United States,Indiana
    So is this error fixed yet?I get it for alot of games.Kind of hard to read the thread with all these deleted posts.Pic is from old thread but its the same error I get.
    lumaplease.jpg
     
  17. Josw

    Josw Member

    Newcomer
    23
    1
    Jun 16, 2016
    Venezuela
    Can someone help me with this wierd error? It happens when I open the game pokemon super mystery dungeon (when I had arm9 that game worked well, but since I upgraded to b9strap it launch this error).
    I installed another game and it worked perfectly.

    My o3ds is on the lastest version, Got the last version of b9strap and Luma on 8.0
     

    Attached Files:

  18. Ryumaru

    Ryumaru Creator of themes for 3DS

    Member
    2,338
    988
    Feb 1, 2015
    Brazil
    Try to use the last update of the luma night version.
    https://jenkins.hakujou.fr/job/3DS/job/Luma3DS/lastSuccessfulBuild/
     
    Last edited by Ryumaru, Jun 17, 2017 at 3:36 PM
    Soulsilve2010 likes this.
  19. raphamotta

    raphamotta GBAtemp Fan

    Member
    423
    152
    Jul 12, 2013
    So where's HANS in the nem HBL?? It can't find it...
     
  20. astronautlevel

    astronautlevel King of Knights

    Member
    3,637
    3,688
    Jan 26, 2016
    United States
    That Nightly Site™
    My website is building the latest version of Luma3DS again, sorry for the downtime.
     
    w0nd3rb0yfx, JimmyZ, peteruk and 6 others like this.